%% Pressure before throttle
GE_CATG3508.p_BT_nom= 1.92e5;           % [Pa] nominal pressure before throttle, after inter cooler    


%% Regression for Lambda and MAP

% Lambdda only NG
a_lam =   -0.04435;
b_lam =   -1.382;
c_lam =    1.671;
Lambda_NG = a_lam*NGFM_norm^b_lam+c_lam;

%% Lambda
% Lambda CO2

p00_lamCO2 =  0.01205;  % wCO2
p10_lamCO2 =  -0.156;
p01_lamCO2 =   1.182;
p20_lamCO2 =  0.0675;
p11_lamCO2 =  -0.0163;
p02_lamCO2 =  -7.177;

D_lamCO2 = p00_lamCO2 + p10_lamCO2*x + p01_lamCO2*y_CO2 + p20_lamCO2*x^2 + p11_lamCO2*x*y_CO2 + p02_lamCO2*y_CO2^2;
lamCO2 = Lambda_NG + D_lamCO2;

p00_lamH =   0.0679;   %% w7520H
p10_lamH =  -0.2753;
p01_lamH =   0.6972;
p20_lamH =   0.1896;
p11_lamH =   0.2081;
p02_lamH =  -1.427;

D_lamH = p00_lamH + p10_lamH*x + p01_lamH*y_H + p20_lamH*x^2 + p11_lamH*x*y_H + p02_lamH*y_H^2;
lamH = Lambda_NG + D_lamH;

lamHCO2 = Lambda_NG + D_lamH + D_lamCO2;

if strcmp(HCO2,'0')==1;
    GE_CATG3508.lambda = Lambda_NG;
elseif strcmp(HCO2,'1')==1;
    GE_CATG3508.lambda = lamH;
elseif strcmp(HCO2,'2')==1;
    GE_CATG3508.lambda = lamCO2;
else strcmp(HCO2,'3')==1;
    GE_CATG3508.lambda = lamHCO2;
end

GE_CATG3508.lambda_int = GE_CATG3508.lambda;

%% Manifold Dimensions
GE_CATG3508.D_MAN = 1.3*GE_CATG3508.D_B;       %% Manifold Diameter
GE_CATG3508.L_MAN = 1.0855*(GE_CATG3508.i/2)*GE_CATG3508.D_B; %% Manifold Length
GE_CATG3508.V_MAN = (3.14/4)*((GE_CATG3508.D_MAN)^2)*(GE_CATG3508.L_MAN);
% GE_CATG3508.V_MAN = 0.0283;

GE_CATG3508.D_BT = 1.0651*GE_CATG3508.D_B;       %% Manifold Diameter 6507
GE_CATG3508.L_BT = GE_CATG3508.i*GE_CATG3508.D_B; %% Manifold Length
GE_CATG3508.V_BT = (3.14/4)*((GE_CATG3508.D_BT)^2)*(GE_CATG3508.L_BT);
% GE_CATG3508.V_BT = 0.035;
% GE_CATG3508.V_BT = GE_CATG3508.V_MAN;


%% Manifold Temperature
% GE_CATG3508.T_c     = 306.45;           % [K] Charge air temperature (Manifold Air Temperature MAT)
% GE_CATG3508.T_inl   = 400;              % [K] Temperature of inlet duct that heats the inducted air
% GE_CATG3508.eps_inl = 0.2243;           % [-] parasitic heat exchange effectiveness of theat exch. between duct and air and rest heat factor of residual gas in cylinder
% GE_CATG3508.T1      = GE_CATG3508.T_c+GE_CATG3508.eps_inl*(GE_CATG3508.T_inl-GE_CATG3508.T_c);% [K] Trapped temperature estimation, based on heat pick up and heat of residual sg gas.
GE_CATG3508.MAT     = 35+273.15;          % [K] Charge air temperature (Manifold Air Temperature MAT)
GE_CATG3508.Tinl    = 400;
GE_CATG3508.eps_inl = 0.05;
GE_CATG3508.Tind    = (GE_CATG3508.eps_inl*GE_CATG3508.Tinl)+(GE_CATG3508.MAT*(1-GE_CATG3508.eps_inl));                 % [K] Induction temperature
GE_CATG3508.T1      = 330;                 % [K] Trapped mass temperature
GE_CATG3508.T1_nom     = 327.4;            % [K] Trapped mass temperature
%% Manifold Pressure
rho_air = 1.225;

GE_CATG3508.lambda_St_vol = (fuel.rho/rho_air)*fuel.sigma;    % volumetric Stoichiometric afr
GE_CATG3508.rho_mix = (fuel.rho*(1/(1+(GE_CATG3508.lambda_St_vol*GE_CATG3508.lambda))))+(rho_air*(1/(1+(1/(GE_CATG3508.lambda_St_vol*GE_CATG3508.lambda)))));   % Density of fuel + air mixture in manifold
GE_CATG3508.R_mix = (fuel.R*(1/(1+(GE_CATG3508.lambda*fuel.sigma)))) + (air.R*(1/((1/(GE_CATG3508.lambda*fuel.sigma))+1)));                                      % R of fuel + air mixture in manifold

GE_CATG3508.MAP_int = ((((GE_CATG3508.Q_Fuel/3600)/(25/2))*GE_CATG3508.rho_mix)*(1+(GE_CATG3508.lambda*GE_CATG3508.lambda_St_vol))*GE_CATG3508.R_mix*(GE_CATG3508.MAT))/(GE_CATG3508.V_MAN);

GE_CATG3508.MAP_int_bar = GE_CATG3508.MAP_int/10^5;


