%% Turbocharger Data%%
GE_CATG3508.orificefactor = GE_CATG3508.p1_int/GE_CATG3508.p_BT_nom; 
% GE_CATG3508.n_turb = 1.36;
GE_CATG3508.n_bld = GE_CATG3508.n_exp;
%% Entry and Exit Temperatures
GE_CATG3508.p_e       = 1.010e5;        % [Pa]
GE_CATG3508.p_a       = 1.010e5;        % [Pa]

%% Engine parameters for turbocharger submodel
GE_CATG3508.tau_TC    = 5;           % [s] time constant turbo charger
GE_CATG3508.alfa      = 1;           % Zinner turbine area decrease factor (constant pressure alfa = 1, pulse system alfa<1)
GE_CATG3508.beta      = 1;           % Constant pressure system (p377 Stapersma vol2)             

%%  GAS EXCHANGE - CALCULATIONS
%m1 is including fuel

GE_CATG3508.n_bld_nom = 1.297;
% GE_CATG3508.delta_int  = 0.7451*x_L + 0.5015;
GE_CATG3508.delta_nom  = 1.05; %1.302785  % Calbrating factor  1.30  1.22                               1+ GE_CATG3508.m_f_nom/((1+GE_CATG3508.s_nom)*GE_CATG3508.m1_nom);
% GE_CATG3508.T_bld_int  = (1/GE_CATG3508.n_bld+(GE_CATG3508.n_bld-1)/GE_CATG3508.n_bld*GE_CATG3508.p_d_nom/GE_CATG3508.p6_int)*GE_CATG3508.T6_int; %% Intial value
GE_CATG3508.T_bld_nom  = (1/GE_CATG3508.n_bld_nom+(GE_CATG3508.n_bld_nom-1)/GE_CATG3508.n_bld_nom*GE_CATG3508.p_d_nom/GE_CATG3508.p6_nom)*GE_CATG3508.T6_nom; %% Intial value
% GE_CATG3508.T_bld_nom  = (1/GE_CATG3508.n_bld_nom+(GE_CATG3508.n_bld_nom-1)/GE_CATG3508.n_bld_nom*GE_CATG3508.p_d_nom/GE_CATG3508.p6_nom)*GE_CATG3508.T6_nom; %% Intial value

    % thermodynamic properties
    % combustion gas at position d 
GE_CATG3508.lambda_nom = 1.6259;
%     T         = GE_CATG3508.T_bld_int;
    T         = GE_CATG3508.T_bld_nom;
%     GE_CATG3508.x_sg_d  = (fuel.sigma+1)/(GE_CATG3508.lambda*fuel.sigma+1);  % (Stapersma vol6 eq. E80)
    GE_CATG3508.x_sg_d  = (fuel.sigma+1)/(GE_CATG3508.lambda_nom*fuel.sigma+1);  % (Stapersma vol6 eq. E80)
    GE_CATG3508.x_air_int_d = 1- GE_CATG3508.x_sg_d;
    R_g       = air.R*GE_CATG3508.x_air_int_d + sg.R*GE_CATG3508.x_sg_d;
    cp_a_d    = air.cp(1)+air.cp(2)*(T/1000)+air.cp(3)*(T/1000)^2+air.cp(4)*(T/1000)^3+air.cp(5)*(T/1000)^4+air.cp(6)*(T/1000)^5;
    cp_sg_d   = sg.cp(1)+sg.cp(2)*(T/1000)+sg.cp(3)*(T/1000)^2+sg.cp(4)*(T/1000)^3+sg.cp(5)*(T/1000)^4+sg.cp(6)*(T/1000)^5;
    cp_g      = cp_a_d*GE_CATG3508.x_air_int_d + cp_sg_d*GE_CATG3508.x_sg_d;
    cv_g      = cp_g-R_g;
    kappa_g   = cp_g / cv_g;
%      kappa_g   = 1.2961;
%     cp_g = 1.2946*10^3;
   
    % gas themodynamic properties for turbocharger calcs
    % intake air-fuel mixture at position a 
GE_CATG3508.m_air1_nom = 0.0062;
GE_CATG3508.m_f1_nom = 0.000290298500000000;


    T = T_amb_0;
%     GE_CATG3508.x_f_int_a   = GE_CATG3508.m_f/((GE_CATG3508.x_air_int+GE_CATG3508.x_f_int)*GE_CATG3508.m1_int);
    GE_CATG3508.x_f_int_a   = GE_CATG3508.m_f1_nom/(GE_CATG3508.m_f1_nom+GE_CATG3508.m_air1_nom);  % assuming same air-fuel ratio at compressor inlet, compressor outlet, before throttle, and after throttle
    GE_CATG3508.x_air_int_a  = 1-GE_CATG3508.x_f_int_a;
    R_a       = air.R*GE_CATG3508.x_air_int_a + fuel.R*GE_CATG3508.x_f_int_a;
    cp_a_a = air.cp(1)+air.cp(2)*(T/1000)+air.cp(3)*(T/1000)^2+air.cp(4)*(T/1000)^3+air.cp(5)*(T/1000)^4+air.cp(6)*(T/1000)^5;
    cp_fuel_a = fuel.cp(1)+fuel.cp(2)*(T/1000)+fuel.cp(3)*(T/1000)^2+fuel.cp(4)*(T/1000)^3+fuel.cp(5)*(T/1000)^4+fuel.cp(6)*(T/1000)^5;
    cp_a  = cp_a_a*GE_CATG3508.x_air_int_a + cp_fuel_a*GE_CATG3508.x_f_int_a;
    cv_a  = cp_a-R_a;
    kappa_a = cp_a/cv_a;
% kappa_a = 1.3922;
% cp_a = 1.0192*10^3;
    chi     = cp_g/cp_a;       % [-] ratio of specific heats at constant pressure of gas and ai 

 % no slip -> T_d = T_bld
GE_CATG3508.T_exh_nom  = 650; %[K]%493; %%%%%%%
GE_CATG3508.eps_exh    = 0.05;
GE_CATG3508.T_d_nom    = (cp_g*GE_CATG3508.T_bld_nom*GE_CATG3508.m1_nom)/(cp_g*GE_CATG3508.m1_nom);


% Elliptic law
% GE_CATG3508.A_eff      = sqrt((GE_CATG3508.m1_int*GE_CATG3508.n_nom*GE_CATG3508.i/GE_CATG3508.k)^2*R_g*GE_CATG3508.T_d_int/(GE_CATG3508.alfa^2*(GE_CATG3508.p_d_nom^2-GE_CATG3508.p_e^2)));
% GE_CATG3508.A_eff        = 0.002547294760536;
% GE_CATG3508.A_eff        = 0.0024;
% GE_CATG3508.A_eff        = 0.00245;
% GE_CATG3508.A_eff        = 0.0025; 
GE_CATG3508.A_eff        = 0.0028; % Works  0.00275 0.00268 
% GE_CATG3508.A_eff        = 0.00295;   % Calbrating factor 0.0029
% GE_CATG3508.A_eff        = 0.00295;   % Calbrating factor 0.0029

GE_CATG3508.p_b_nom    = GE_CATG3508.p_BT_nom; % pressure before throttle

% From buchi balance

% GE_CATG3508.eta_TC_int     = (GE_CATG3508.pi_com_int^((kappa_a-1)/kappa_a)-1)/(GE_CATG3508.beta*GE_CATG3508.delta_int*chi*GE_CATG3508.r_T_TC_int*(1-1/(GE_CATG3508.pi_tur_int^((kappa_g-1)/kappa_g))));


% Remark:
% eta_TC_int is small, this could be because the TC is optimized for running on
% the engine operating at max power 500kW with diesel fuel.

T_amb = T_amb_0;
p_amb = p_amb_0;
GE_CATG3508.eta_com_is   = 0.75;  %[-] 0.759; Isentropic efficiency compressor 0.7
GE_CATG3508.eta_tur_is   = 0.75;  %[-] 0.815; Isentropic efficiency turbine 0.75 0.8 0.7
GE_CATG3508.eta_TC_m     = 0.98;     %[-] mechanic efficiency 1  0.9
GE_CATG3508.eta_TC_nom       = GE_CATG3508.eta_com_is*GE_CATG3508.eta_tur_is*GE_CATG3508.eta_TC_m;
GE_CATG3508.T_b_is_nom   = ((GE_CATG3508.p_b_nom/GE_CATG3508.p_a)^((kappa_a-1)/kappa_a))*T_amb_0;
GE_CATG3508.w_com_nom    = cp_a*(GE_CATG3508.T_b_is_nom-T_amb_0);
GE_CATG3508.w_tur_nom    = GE_CATG3508.w_com_nom/(GE_CATG3508.eta_TC_m*GE_CATG3508.delta_nom);
GE_CATG3508.T_e_id_nom   = GE_CATG3508.T_d_nom - GE_CATG3508.w_tur_nom/cp_g;
GE_CATG3508.q_hl_nom     = cp_g*(GE_CATG3508.T_e_id_nom-650);  %650[K] is T measured after turbine

