%plot Seiliger cycle
figure(1)
hold on

% plot isochoric, isobaric, blowdown line
plot([V_2(end) V_3(end)],[p_2(end),p_3(end)],'k')
plot([V_3(end) V_4(end)],[p_3(end),p_4(end)],'k')
plot([V_6(end) GE_CATG3508.V1],[p_6(end),p1_Corr.Data(end)],'k')

% plot compression line
end_crank = 360/180*pi;  %=TDC     
V_compression = linspace(GE_CATG3508.V1, GE_CATG3508.V2);
p_compression=p1_Corr.Data(end)*(GE_CATG3508.V1./V_compression).^GE_CATG3508.n_com;
plot(V_compression,p_compression,'k')

% plot expansion
start_crank = 360/180*pi; %=TDC
V_expansion = linspace(GE_CATG3508.V5_int, GE_CATG3508.V6);
p_expansion=(p_5(end)*(GE_CATG3508.V5_int./V_expansion).^GE_CATG3508.n_exp);
plot(V_expansion,p_expansion,'k')

% plot isothermal line
V_isothermal = linspace(GE_CATG3508.V4_int, GE_CATG3508.V5_int);
p_isothermal = (p_4(end)*GE_CATG3508.V4_int)./V_isothermal;
plot(V_isothermal,p_isothermal,'k')

% plot symulink model
plot(CAT_sim_V(1),CAT_sim_p(1),'*','color','b')
plot(CAT_sim_V(2),CAT_sim_p(2),'*','color','k')
plot(CAT_sim_V(3),CAT_sim_p(3),'*','color','r')
plot(CAT_sim_V(4),CAT_sim_p(4),'*','color','g')
plot(CAT_sim_V(5),CAT_sim_p(5),'*','color','m')
plot(CAT_sim_V(6),CAT_sim_p(6),'*','color','c')

% Labels
xlabel('Volume [m^3]')
ylabel('Pressure [Pa]')
grid on
grid minor


%% plot temperature and pressures

% diverse temperatures
figure(2)
h1 = subplot(1,2,1);
x = [1 2 3 4 5];
bar(x, [CAT_sim_divT'],'grouped');
set(gca,'XTickLabel',{'d','e','1','4','6'});
ylabel('Temperature [K]')
grid on 

h2 = subplot(1,2,2);
x = [1 2 3 4 5];
bar(x, [CAT_sim_divp([1:4 6])'],'grouped');
ylabel('Pressure [Pa]')
set(gca,'XTickLabel',{'d','BT','1','MAP','6'});
grid on 

