%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PROPERTIES FUEL                                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Fuel specification   
        M_C13H28       =M(12)*13+M(1)*28;
        M_C13H10       =M(12)*13+M(1)*10;
        M_CH4          =M(12)+M(1)*4;
        M_C2H6         =M(12)*2+M(1)*6;
        M_C3H8         =M(12)*3+M(1)*8;
        M_C4H10        =M(12)*4+M(1)*10;
        M_S            =M(32);
        
% Molecular mass for CATNG
      MM_N2= 28;    %g/mol
      MM_CO2= 44;
      MM_CH4=16.04;
      MM_C2H6=30.07;
      MM_C3H8=44.1;
      MM_iC4H10=58.12;
      MM_nC4H10=58.12;
      MM_iC5H12=72.15;
      MM_nC5H12=72.15;
      MM_nC6H14=86.178;
      MM_H=2;
      MM_He=4;
      MM_neoC5H12=72.15;
      MM_h = 1;
      MM_c = 12;
        
% Densities 
      rho_N2=0.14351;
      rho_CO2 = 1.977;
      rho_CH4=0.8469;
      rho_NG=0.8469;   % Assumption rho_NG = rho_CH4
      rho_C2H6=0.0285;
      rho_C3H8=0.00370;
      rho_iC4H10=0.0007;
      rho_nC4H10=0.0007;
      rho_H=0.08350;
       rho_H=0.08;
% Natural Gas Volumetric fractions
      fuel.y_N2_G=13.1/100;    %volume fractions Natural gas measured groningen tests
      fuel.y_CO2_G=1.46/100;
      fuel.y_CH4_G=80.57599/100;
      fuel.y_C2H6_G=3.79/100;
      fuel.y_C3H8_G=0.69/100;
      fuel.y_iC4H10_G=0.122/100;
      fuel.y_nC4H10_G=0.131/100;
      fuel.y_iC5H12_G=0.0348/100;
      fuel.y_nC5H12_G=0.031/100;
      fuel.y_nC6H14_G=0.009/100;
      fuel.y_H_G=0.01/100;
      fuel.y_He_G=0.0418/100;
      fuel.y_neoC5H12_G=0.00481/100;
      
      
% Blend      
   if strcmp(HCO2,'1')==1;
      fuel.y_N2 = fuel.y_N2_G*(1-((H_f-(fuel.y_H_G*100))/100));    %volume fractions Natural gas and hydrogen mixture (not percentage but fractions)
      fuel.y_CO2=fuel.y_CO2_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_CH4=fuel.y_CH4_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_C2H6=fuel.y_C2H6_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_C3H8=fuel.y_C3H8_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_iC4H10=fuel.y_iC4H10_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_nC4H10=fuel.y_nC4H10_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_iC5H12=fuel.y_iC5H12_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_nC5H12=fuel.y_nC5H12_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_nC6H14=fuel.y_nC6H14_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_H= H_f/100;
      fuel.y_He=fuel.y_He_G*(1-((H_f-(fuel.y_H_G*100))/100));
      fuel.y_neoC5H12=fuel.y_neoC5H12_G*(1-((H_f-(fuel.y_H_G*100))/100)); 
      
   elseif strcmp(HCO2,'2')==1
      fuel.y_N2 = fuel.y_N2_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));    %volume fractions Natural gas and hydrogen mixture (not percentage but fractions)
      fuel.y_CO2=CO2_f/100;
      fuel.y_CH4=fuel.y_CH4_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_C2H6=fuel.y_C2H6_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_C3H8=fuel.y_C3H8_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_iC4H10=fuel.y_iC4H10_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_nC4H10=fuel.y_nC4H10_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_iC5H12=fuel.y_iC5H12_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_nC5H12=fuel.y_nC5H12_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_nC6H14=fuel.y_nC6H14_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_H= fuel.y_H_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_He=fuel.y_He_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_neoC5H12=fuel.y_neoC5H12_G*(1-((CO2_f-(fuel.y_CO2_G*100))/100)); 
      
   elseif  strcmp(HCO2,'3')==1
      fuel.y_N2=fuel.y_N2_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));    %volume fractions Natural gas measured if Hydrogen = 0
      fuel.y_CO2=CO2_f/100;
      fuel.y_CH4=fuel.y_CH4_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_C2H6=fuel.y_C2H6_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_C3H8=fuel.y_C3H8_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_iC4H10=fuel.y_iC4H10_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_nC4H10=fuel.y_nC4H10_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_iC5H12=fuel.y_iC5H12_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_nC5H12=fuel.y_nC5H12_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_nC6H14=fuel.y_nC6H14_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_H=H_f/100;
      fuel.y_He=fuel.y_He_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100));
      fuel.y_neoC5H12=fuel.y_neoC5H12_G*(1-((H_f-(fuel.y_H_G*100))/100)-((CO2_f-(fuel.y_CO2_G*100))/100)); 
   else 
      fuel.y_N2= fuel.y_N2_G;    %volume fractions Natural gas measured if Hydrogen = 0
      fuel.y_CO2=fuel.y_CO2_G;
      fuel.y_CH4=fuel.y_CH4_G;
      fuel.y_C2H6=fuel.y_C2H6_G;
      fuel.y_C3H8=fuel.y_C3H8_G;
      fuel.y_iC4H10=fuel.y_iC4H10_G;
      fuel.y_nC4H10=fuel.y_nC4H10_G;
      fuel.y_iC5H12=fuel.y_iC5H12_G;
      fuel.y_nC5H12=fuel.y_nC5H12_G;
      fuel.y_nC6H14=fuel.y_nC6H14_G;
      fuel.y_H=fuel.y_H_G;
      fuel.y_He=fuel.y_He_G;
      fuel.y_neoC5H12=fuel.y_neoC5H12_G; 
   end

   Sum_volume_fraction = fuel.y_N2+fuel.y_CO2+fuel.y_CH4+fuel.y_C2H6+fuel.y_C3H8+fuel.y_iC4H10+fuel.y_nC4H10+fuel.y_iC5H12+fuel.y_nC5H12+fuel.y_nC6H14+fuel.y_H+fuel.y_He+fuel.y_neoC5H12;
   
      fuel.m_N2=(fuel.y_N2*MM_N2);    %species mass in grams
      fuel.m_CO2=(fuel.y_CO2*MM_CO2);
      fuel.m_CH4=(fuel.y_CH4*MM_CH4);
      fuel.m_C2H6=(fuel.y_C2H6*MM_C2H6);
      fuel.m_C3H8=(fuel.y_C3H8*MM_C3H8);
      fuel.m_iC4H10=(fuel.y_iC4H10*MM_iC4H10);
      fuel.m_nC4H10=(fuel.y_nC4H10*MM_nC4H10);
      fuel.m_iC5H12=(fuel.y_iC5H12*MM_iC5H12);
      fuel.m_nC5H12=(fuel.y_nC5H12*MM_nC5H12);
      fuel.m_nC6H14=(fuel.y_nC6H14*MM_nC6H14);
      fuel.m_H=(fuel.y_H*MM_H);
      fuel.m_He=(fuel.y_He*MM_He);
      fuel.m_neoC5H12=(fuel.y_neoC5H12*MM_neoC5H12);
      
Total_mass = fuel.m_N2+fuel.m_CO2+fuel.m_CH4+fuel.m_C2H6+fuel.m_C3H8+fuel.m_iC4H10+fuel.m_nC4H10+fuel.m_iC5H12+fuel.m_nC5H12+fuel.m_nC6H14+fuel.m_H+fuel.m_He+fuel.m_neoC5H12;
    
% Mass fractions

      fuel.x_N2=fuel.m_N2/Total_mass;    %mass fraction
      fuel.x_CO2=fuel.m_CO2/Total_mass;
      fuel.x_CH4=fuel.m_CH4/Total_mass;
      fuel.x_C2H6=fuel.m_C2H6/Total_mass;
      fuel.x_C3H8=fuel.m_C3H8/Total_mass;
      fuel.x_iC4H10=fuel.m_iC4H10/Total_mass;
      fuel.x_nC4H10=fuel.m_nC4H10/Total_mass;
      fuel.x_iC5H12=fuel.m_iC5H12/Total_mass;
      fuel.x_nC5H12=fuel.m_nC5H12/Total_mass;
      fuel.x_nC6H14=fuel.m_nC6H14/Total_mass;
      fuel.x_H2=fuel.m_H/Total_mass;
      fuel.x_He=fuel.m_He/Total_mass;
      fuel.x_neoC5H12=fuel.m_neoC5H12/Total_mass;
      
      Sum_mass_fraction = fuel.x_N2+fuel.x_CO2+fuel.x_CH4+fuel.x_C2H6+fuel.x_C3H8+fuel.x_iC4H10+fuel.x_nC4H10+fuel.x_iC5H12+fuel.x_nC5H12+fuel.x_nC6H14+fuel.x_H2+fuel.x_He+fuel.x_neoC5H12;
       
      
% fuel defined in %C, H, O, S and others
fuel.x_C = ((1-0.25)*fuel.x_CH4)+((1-0.2013)*fuel.x_C2H6)+((1-0.18286)*fuel.x_C3H8)+((1-0.1734)*fuel.x_iC4H10)+((1-0.1734)*fuel.x_nC4H10)+((1-0.1674)*fuel.x_iC5H12)+((1-0.1674)*fuel.x_nC5H12)+(fuel.x_nC6H14*(1-0.16375))+(fuel.x_neoC5H12*(1-0.1674));
fuel.x_H = ((0.25)*fuel.x_CH4)+((0.2013)*fuel.x_C2H6)+((0.18286)*fuel.x_C3H8)+((0.1734)*fuel.x_iC4H10)+((0.1734)*fuel.x_nC4H10)+((0.1674)*fuel.x_iC5H12)+((0.1674)*fuel.x_nC5H12)+(fuel.x_nC6H14*(0.16375))+(fuel.x_neoC5H12*(0.1674))+(fuel.x_H2);      
fuel.x_S = 0;
fuel.x_O = 0;
fuel.x_other = fuel.x_He + fuel.x_N2 + fuel.x_CO2;
fuel.x_total = fuel.x_C+fuel.x_H+fuel.x_S+fuel.x_O+fuel.x_other;
fuel.CHr        = fuel.x_C/fuel.x_H;

fuel.C          = fuel.x_CH4+fuel.x_C2H6*2+fuel.x_C3H8*3+(fuel.x_iC4H10*4*2)+(fuel.x_iC5H12*5*3)+(fuel.x_nC6H14*6);
fuel.H          = fuel.x_H/fuel.x_C*M(12)/M(1)*fuel.C;    % mean nr of H atoms per fuel molecule
fuel.S          = fuel.x_S/fuel.x_C*M(12)/M(32)*fuel.C;   % mean nr of H atoms per fuel molecule


% Fuel Densities
   if strcmp(HCO2,'1')==1;
       fuel.y_NG = 1-fuel.y_H;     
       fuel.rho = (rho_NG*fuel.y_NG) + (rho_H*fuel.y_H);
       NGH.rho = (rho_NG*fuel.y_NG) + (rho_H*fuel.y_H);
   elseif strcmp(HCO2,'2')==1;
       fuel.y_NG = 1-fuel.y_CO2;     
       fuel.rho = (rho_NG*fuel.y_NG) + (rho_CO2*fuel.y_CO2);
       NGH.rho = (rho_NG*fuel.y_NG);
   elseif strcmp(HCO2,'3')==1;
       fuel.y_NG = 1-fuel.y_CO2-fuel.y_H;     
       fuel.rho = (rho_NG*fuel.y_NG) + (rho_CO2*fuel.y_CO2) + (rho_H*fuel.y_H);
       NGH.rho = (rho_NG*fuel.y_NG) + (rho_H*fuel.y_H);
   else
       fuel.rho = rho_NG;
   end

fuel.rho_15	 = (fuel.x_N2*rho_N2)+ (fuel.x_CO2* rho_CO2)+ (fuel.x_CH4* rho_CH4)+ (fuel.x_C2H6* rho_C2H6)+ (fuel.x_C3H8* rho_C3H8) + (fuel.x_iC4H10* rho_iC4H10) + (fuel.x_nC4H10* rho_nC4H10);          % [kg/m3], 15C
fuel.rho_T_cor	= 0.68;         % [kg/m3/K], density temperature correction 

% LHV
      LHV.x_N2 = 0;    %BTU/ft^3
      LHV.x_CO2=0;
      LHV.x_CH4=973.5;
      LHV.x_C2H6=1619;
      LHV.x_C3H8=2315;
      LHV.x_iC4H10=3000;
      LHV.x_nC4H10=3011;
      LHV.x_iC5H12=3699;
      LHV.x_nC5H12=3704;
      LHV.x_nC6H14=4404;
      LHV.x_H=274;
      LHV.x_He=0;
      LHV.x_neoC5H12=6964;
      
fuel.H_V0        = (LHV.x_N2*fuel.y_N2)+(LHV.x_CO2*fuel.y_CO2)+(LHV.x_CH4*fuel.y_CH4)+(LHV.x_C2H6*fuel.y_C2H6)+(LHV.x_C3H8*fuel.y_C3H8)+(LHV.x_iC4H10*fuel.y_iC4H10)+(LHV.x_nC4H10*fuel.y_nC4H10)+(LHV.x_iC5H12*fuel.y_iC5H12)+(LHV.x_nC5H12*fuel.y_nC5H12)+(LHV.x_nC6H14*fuel.y_nC6H14)+(LHV.x_H*fuel.y_H)+(LHV.x_He*fuel.y_He)+(LHV.x_neoC5H12*fuel.y_neoC5H12); %BTU/ft^3
fuel.H_V         = fuel.H_V0*0.037234;  %LHV(MJ/m3)  BT/ft3 to0 MJ/m3
fuel.H_o         = fuel.H_V/fuel.rho;   %(MJ/kg)
fuel.h_comb      = fuel.H_o*10^6; %(j/kg)
fuel.h_L         = fuel.h_comb; %(j/kg)


     