
%%    Parameter file water properties                                   %%
%%                                                                      %%
%%          Delft University of Technology - SDPO 2012                  %%
%%          D. Stapersma                                                %%
%%          H.T. Grimmelius                                             %%
%%          P. de Vos                                                   %%
%%          Last modified: 28-09-2012                                   %%
%%                                                                      %%

% This file loads water properties into Matlab Workspace.

Water.rho_sw       =  1025;     % [kg/m3], density of seawater
Water.mhu          = 1.002e-3;  % [Pa.s]
Water.T            = 20;        % [C]
Water.pvap         = 2340;      % [Pa] Vapour pressure of water at this temperature

% The following parameters are found in the VDI-Warmeatlas
 
% coefficients to calculate eta_water [kg/ms]
Water.eta_w_a      =  2.303;
Water.eta_w_b      = -1.022;
Water.eta_w_c      = -1.232e-3;
Water.eta_w_d      =  118;
Water.eta_w_e      =  93;
Water.eta_w_f      =  1e-6;
% Water.par_eta_w    =  [eta_w_a,eta_w_b,eta_w_c,eta_w_d,eta_w_e];
% coefficients to calculate cp_water [J/kgK]
Water.cp_w_a       = -2.911e-4;
Water.cp_w_b       =  5.674e-2;
Water.cp_w_c       = -2.991;
Water.cp_w_d       =  4222;
% Water.par_cp_w     =  [cp_w_a,cp_w_b,cp_w_c,cp_w_d];
% coefficients to calculate rho_water [kg/m^3]
Water.rho_w_a      =  2.079e-5;
Water.rho_w_b      = -6.668e-3;
Water.rho_w_c      =  4.678e-2;
Water.rho_w_d      =  999;
% Water.par_rho_w    =  [rho_w_a,rho_w_b,rho_w_c,rho_w_d];
% coefficients to calculate lambda_water [W/mK]
Water.lamda_w_a    =  7.919e-8;
Water.lamda_w_b    = -2.087e-5;
Water.lamda_w_c    =  2.605e-3;
Water.lamda_w_d    =  5.529e-1;
% Water.par_lambda_w = [lamda_w_a,lamda_w_b,lamda_w_c,lamda_w_d];


%% End

%% Modifications
% 020202: initial build                     (HG)
% 150708: Properties in a structure         (RAK) 
% 150708: Temperature and viscosity added   (RAK)
% 120928: administrative modifications      (PdV)

%% Comments
